hive 安装连接不到 MySQL 数据库?

问答 岁月流年 ⋅ 于 2021-08-12 17:46:47 ⋅ 最后回复由 岁月流年 2021-08-18 09:45:46 ⋅ 296 阅读

hive启动 会报错
hive (default)> show databases;
FAILED: SemanticException org.apache.hadoop.hive.ql.metadata.HiveException: java.lang.RuntimeExcepti on: Unable to instantiate org.apache.hadoop.hive.ql.metadata.SessionHiveMetaStoreClient

从网上也查找了一些原因都试过了 试过的有(增加jar包,配置文件的内容,初始化元数据库)
然后开起 hive --service metastore 会出现一下错误
Exception in thread "main" MetaException(message:org/apache/sentry/binding/metastore/MetastoreAuthzBinding : Unsupported major.minor version 52.0)
at org.apache.hadoop.hive.metastore.RetryingHMSHandler.(RetryingHMSHandler.java:83)
at org.apache.hadoop.hive.metastore.RetryingHMSHandler.getProxy(RetryingHMSHandler.java:92)
at org.apache.hadoop.hive.metastore.HiveMetaStore.newRetryingHMSHandler(HiveMetaStore.java:6887)
at org.apache.hadoop.hive.metastore.HiveMetaStore.newRetryingHMSHandler(HiveMetaStore.java:6882)
at org.apache.hadoop.hive.metastore.HiveMetaStore.startMetaStore(HiveMetaStore.java:7140)
at org.apache.hadoop.hive.metastore.HiveMetaStore.main(HiveMetaStore.java:7067)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.apache.hadoop.util.RunJar.run(RunJar.java:221)
at org.apache.hadoop.util.RunJar.main(RunJar.java:136)
Caused by: java.lang.UnsupportedClassVersionError: org/apachen/setry/binding/metastore/MetastoreAuthzBinding : Unsupported major.minor version 52.0

请问各位大佬还有什么方法能解决的么

回复数量: 15
  • 岁月流年
    2021-08-12 17:50:48

    hive 的版本是2.3.2 ,Jdk1.7.0_80 ,mysql 5.6.30 系统是红帽的6.5 集群是CDH5的

  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2021-08-12 20:00:21

    用mysql命令连一下看看好使不

  • 岁月流年
    2021-08-12 20:04:04

    @青牛 mysql 没有问题 可以查

  • 岁月流年
    2021-08-13 10:37:20
  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2021-08-13 15:49:21

    @岁月流年 linux系统的jdk是不是低于你hivemeta服务要求的jdk?

  • 岁月流年
    2021-08-13 16:05:04

    @青牛 系统的是1.7 的 然后hive 安装在hadoop 用下,配的环境变量都是hadoop的 网上也查了1.7的可以 ,也查看了原来有的集群配置的jdk root 的是1.6的 mysql 也是1.6 的 ,昨天我把MySQL root 和hadoop 的jdk 版本弄成一致的了也不行

  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2021-08-13 16:08:53

    系统改成1.8的
    @岁月流年

  • 岁月流年
    2021-08-13 16:19:05

    @青牛 有个问题就是 jdk 版本要求是1.7的

  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2021-08-13 17:02:49

    @岁月流年 你装的啥版本的hive啊

  • 岁月流年
    2021-08-13 17:07:19

    @青牛 阿帕奇的hive-2.3.2

  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2021-08-13 18:49:04

    @岁月流年 没问题指定支持JDK1.8的

  • 岁月流年
    2021-08-13 18:49:56

    @青牛 好的我明天试试

  • 岁月流年
    2021-08-16 15:20:06

    @青牛 换成了1.8的还是不行

  • 青牛 国内首批大数据从业者,就职于金山,担任大数据团队核心研发工程师
    2021-08-16 19:39:01

    @岁月流年 你要确定一下你hive元库是1.8版本启动的

  • 岁月流年
    2021-08-18 09:45:46

    @青牛 找到了 就是hive jdk 版本指向的问题 他们这个文件的指向放在hadoop 里面了 害我找了半天这次行了

暂无评论~~
  • 请注意单词拼写,以及中英文排版,参考此页
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`, 更多语法请见这里 Markdown 语法
  • 支持表情,可用Emoji的自动补全, 在输入的时候只需要 ":" 就可以自动提示了 :metal: :point_right: 表情列表 :star: :sparkles:
  • 上传图片, 支持拖拽和剪切板黏贴上传, 格式限制 - jpg, png, gif,教程
  • 发布框支持本地存储功能,会在内容变更时保存,「提交」按钮点击时清空
Ctrl+Enter